Conversations
Destroy Custom Attributes
Removes the given custom attribute keys from a conversation
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
destroy_custom_attributes
Destroy Custom Attributes
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_attributes": [
"order_id",
"previous_conversation"
]
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes"
payload = { "custom_attributes": ["order_id", "previous_conversation"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: ['order_id', 'previous_conversation']})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'custom_attributes' => [
'order_id',
'previous_conversation'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes"
payload := strings.NewReader("{\n \"custom_attributes\": [\n \"order_id\",\n \"previous_conversation\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"custom_attributes\": [\n \"order_id\",\n \"previous_conversation\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_attributes\": [\n \"order_id\",\n \"previous_conversation\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthuserApiKey
Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
The list of custom attribute keys to remove from the conversation
Example:
["order_id", "previous_conversation"]
Response
Success
The remaining custom attributes of the conversation
⌘I
Destroy Custom Attributes
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_attributes": [
"order_id",
"previous_conversation"
]
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes"
payload = { "custom_attributes": ["order_id", "previous_conversation"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: ['order_id', 'previous_conversation']})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'custom_attributes' => [
'order_id',
'previous_conversation'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes"
payload := strings.NewReader("{\n \"custom_attributes\": [\n \"order_id\",\n \"previous_conversation\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"custom_attributes\": [\n \"order_id\",\n \"previous_conversation\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_attributes\": [\n \"order_id\",\n \"previous_conversation\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
